#
# spec file for package python-oslo.concurrency
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-oslo.concurrency
Version:        3.25.0
Release:        lp152.4.3
Summary:        OpenStack oslo.concurrency library
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            https://launchpad.net/oslo.concurrency
Source0:        https://files.pythonhosted.org/packages/source/o/oslo.concurrency/oslo.concurrency-3.25.0.tar.gz
BuildRequires:  openstack-macros
BuildRequires:  python-devel
BuildRequires:  python2-enum34 >= 1.0.4
BuildRequires:  python2-eventlet >= 0.18.2
BuildRequires:  python2-fasteners >= 0.7.0
BuildRequires:  python2-fixtures >= 3.0.0
BuildRequires:  python2-futures >= 3.0.0
BuildRequires:  python2-mock >= 2.0.0
BuildRequires:  python2-oslo.config >= 5.1.0
BuildRequires:  python2-oslo.i18n >= 3.15.3
BuildRequires:  python2-oslo.utils >= 3.33.0
BuildRequires:  python2-oslotest >= 3.2.0
BuildRequires:  python2-pbr >= 2.0.0
BuildRequires:  python2-testrepository >= 0.0.18
BuildRequires:  python2-testscenarios >= 0.4
BuildRequires:  python2-testtools >= 2.2.0
BuildRequires:  python3-eventlet >= 0.18.2
BuildRequires:  python3-fasteners >= 0.7.0
BuildRequires:  python3-fixtures >= 3.0.0
BuildRequires:  python3-mock >= 2.0.0
BuildRequires:  python3-oslo.config >= 5.1.0
BuildRequires:  python3-oslo.i18n >= 3.15.3
BuildRequires:  python3-oslo.utils >= 3.33.0
BuildRequires:  python3-oslotest >= 3.2.0
BuildRequires:  python3-pbr >= 2.0.0
BuildRequires:  python3-testrepository >= 0.0.18
BuildRequires:  python3-testscenarios >= 0.4
BuildRequires:  python3-testtools >= 2.2.0
Requires:       python-fasteners >= 0.7.0
Requires:       python-iso8601 >= 0.1.11
Requires:       python-oslo.config >= 5.1.0
Requires:       python-oslo.i18n >= 3.15.3
Requires:       python-oslo.utils >= 3.33.0
Requires:       python-retrying >= 1.2.3
Requires:       python-six >= 1.10.0
BuildArch:      noarch
%ifpython2
Requires:       python-enum34 >= 1.0.4
%endif
%if 0%{?suse_version}
Requires(post): update-alternatives
Requires(postun): update-alternatives
%else
# on RDO, update-alternatives is in chkconfig
Requires(post): chkconfig
Requires(postun): chkconfig
%endif
%python_subpackages

%description
The oslo.concurrency library has utilities for safely running multi-thread,
multi-process applications using locking mechanisms and for running
external processes.

%package -n python-oslo.concurrency-doc
Summary:        Documentation for OpenStack concurrency library
Group:          Development/Languages/Python
BuildRequires:  python-Sphinx
BuildRequires:  python-openstackdocstheme >= 1.18.1

%description -n python-oslo.concurrency-doc
The oslo.concurrency library has utilities for safely running multi-thread,
multi-process applications using locking mechanisms and for running
external processes.
This package contains the documentation.

%prep
%autosetup -p1 -n oslo.concurrency-3.25.0
%py_req_cleanup
sed -i 's/^warning-is-error.*/warning-is-error = 0/g' setup.cfg

%build
%{python_build}

# generate html docs
%{__python2} setup.py build_sphinx
# remove the sphinx-build leftovers
rm -rf doc/build/html/.{doctrees,buildinfo}

%install
%{python_install}
%python_clone -a %{buildroot}%{_bindir}/lockutils-wrapper

%post
%python_install_alternative lockutils-wrapper

%postun
%python_uninstall_alternative lockutils-wrapper

%check
%{python_expand rm -rf .testrepository
# Test suite fails on 32 bit platforms
# ifarch/ifnarch can not be used in noarch packages
if [ "%_lib" = "lib64" ]; then
$python setup.py testr
fi
}

%files %{python_files}
%license LICENSE
%doc README.rst ChangeLog
%python_alternative %{_bindir}/lockutils-wrapper
%{python_sitelib}/oslo_concurrency
%{python_sitelib}/*.egg-info

%files -n python-oslo.concurrency-doc
%license LICENSE
%doc doc/build/html

%changelog
* Fri Feb 23 2018 tbechtold@suse.com
- Switch to stable/queens spec template
* Tue Jan 30 2018 cloud-devel@suse.de
- update to version 3.25.0
  - Add python_exec kwarg to processutils.execute()
  - Updated from global requirements
  - add bandit to pep8 job
* Mon Jan 15 2018 cloud-devel@suse.de
- update to version 3.24.0
  - Imported Translations from Zanata
  - Remove setting of version/release from releasenotes
  - Remove -U from pip install
  - Updated from global requirements
  - Avoid tox_install.sh for constraints support
* Fri Nov 24 2017 cloud-devel@suse.de
- update to version 3.23.0
  - Add debug log to indicate when external lock is taken
  - Update reno for stable/pike
  - Minor correction to docstrings
  - Windows: ensure exec calls don't block other greenthreads
  - Updated from global requirements
* Thu Sep 28 2017 cloud-devel@suse.de
- update to version 3.21.1
  - Update .gitreview for stable/pike
  - Windows: ensure exec calls don't block other greenthreads
  - Updated from global requirements
  - Update UPPER_CONSTRAINTS_FILE for stable/pike
* Mon Aug  7 2017 cloud-devel@suse.de
- update to version 3.21.0
  - Imported Translations from Zanata
  - Remove log translations
  - turn on warning-is-error for sphinx
  - Check reStructuredText documents for common style issues
  - Using fixtures.MockPatch instead of mockpatch.Patch
  - [Fix gate]Update test requirement
  - Update URLs in documents according to document migration
  - Remove support for py34
  - rearrange existing documentation to follow the new layout standard
  - pbr.version.VersionInfo needs package name (oslo.xyz and not oslo_xyz)
  - Update reno for stable/ocata
  - Check for SubprocessError by name on Python 3.x
  - Updated from global requirements
  - switch from oslosphinx to openstackdocstheme
* Mon Feb 13 2017 cloud-devel@suse.de
- update to version 3.18.0:
  - [TrivialFix] Replace 'assertTrue(a in b)' with 'assertIn(a, b)'
  - Update reno for stable/newton
  - Automatically convert process_input to bytes
  - Imported Translations from Zanata
  - Change assertTrue(isinstance()) by optimal assert
  - Updated from global requirements
  - Add Constraints support
  - Remove unnecessary requirements
  - Show team and repo badges on README
  - Changed the home-page link
  - Enable release notes translation
  - Ignore prlimit argument on Windows
* Tue Oct  4 2016 dmueller@suse.com
- switch to stable/newton
* Tue Aug 30 2016 tbechtold@suse.com
- update to version 3.14.0
  * Fix external lock tests on Windows
  * Updated from global requirements
* Wed Aug 10 2016 tbechtold@suse.com
- update to version 3.13.0
  * Add Python 3.5 classifier and venv
  * Imported Translations from Zanata
  * Fix parameters of assertEqual are misplaced
  * Updated from global requirements
  * Add reno for releasenotes management
* Fri Jun  3 2016 tbechtold@suse.com
- update to 3.9.0:
  * Add doc/ to pep8 check
  * Remove unused import statement
  * Add timeout option to ssh_execute
  * Fix wrong import example in docstring
  * Trivial: ignore openstack/common in flake8 exclude list
  * Updated from global requirements
  * Imported Translations from Zanata
  * processutils: add support for missing process limits
  * Remove direct dependency on babel
  * Updated from global requirements
  * Updated from global requirements
  * Updated from global requirements
  * Add a few usage examples for lockutils
  * Revert "Use tempfile.tempdir for lock_path if OSLO_LOCK_PATH is not set"
  * Updated from global requirements
  * Use tempfile.tempdir for lock_path if OSLO_LOCK_PATH is not set
* Thu Jun  2 2016 tbechtold@suse.com
- use renderspec source service
- update spec from upstream
* Mon Apr  4 2016 tbechtold@suse.com
- update to 3.7.0:
  * Updated from global requirements
  * Update .gitreview for stable/mitaka
- Adjust Requires
* Wed Mar 16 2016 tbechtold@suse.com
- Add python-enum34 as BuildRequires to fix tests
* Mon Feb 29 2016 dmueller@suse.com
- update to 3.6.0:
  * Updated from global requirements
  * Update translation setup
  * Add prlimit parameter to execute()
  * Imported Translations from Zanata
  * Remove unnecessary package in setup.cfg
* Sun Feb 28 2016 dmueller@suse.com
- update to 3.2.0:
  * Updated from global requirements
  * Trival: Remove 'MANIFEST.in'
  * Add complementary remove lock with prefix function
  * Drop python 2.6 support
  * Updated from global requirements
  * Remove python 2.6 classifier
  * Use versionadded and versionchanged in doc
  * Updated from global requirements
  * Imported Translations from Zanata
  * Fix Tests to run under OSX
  * Fix coverage configuration and execution
  * Imported Translations from Zanata
  * Move 'history' -> release notes section
  * add auto-generated docs for config options
  * Change ignore-errors to ignore_errors
  * Updated from global requirements
  * Imported Translations from Zanata
  * Use int enumerations for log error constants
* Wed Sep  9 2015 tbechtold@suse.com
- update to 2.6.0:
  * Removes unused posix-ipc requirement
  * Updated from global requirements
- Adjust Requires according to requirements.txt
* Thu Aug 27 2015 tbechtold@suse.com
- update to 2.5.0:
  * Updated from global requirements
  * Updated from global requirements
  * Use oslo_utils reflection to get 'f' callable name
  * flake8 - remove unused rules
  * Imported Translations from Transifex
  * Updated from global requirements
- Adjust Requires according to requirements.txt
* Wed Jul 29 2015 tbechtold@suse.com
- Unify spec file
- Add -doc package
* Mon Jul 20 2015 dmueller@suse.com
- update to 2.3.0:
  * Imported Translations from Transifex
  * Allow preexec_fn method for processutils.execute
  * Updated from global requirements
  * Use pypi name for requirements.txt
  * processutils: ensure on_completion callback is always called
  * Updated from global requirements
  * Remove redundant fileutils
  * Add tox target to find missing requirements
* Fri Jul  3 2015 dmueller@suse.com
- add missing dependency on fasteners
* Wed Jun 24 2015 tbechtold@suse.com
- update to 2.1.0:
  * Imported Translations from Transifex
  * Updated from global requirements
  * Updated from global requirements
  * Add 2 callbacks to processutils.execute()
  * Updated from global requirements
  * Fix LockFixture docstring
  * Updated from global requirements
  * Switch badges from 'pypip.in' to 'shields.io'
  * Updated from global requirements
  * Replace locks and replace with fasteners library provides ones
* Wed Jun 10 2015 tbechtold@suse.com
- update to 2.0.0:
  * Remove oslo namespace package
- enable testsuite
* Tue Jun  2 2015 tbechtold@suse.com
- update to 1.10.0:
  * Imported Translations from Transifex
  * Sync from oslo-incubator
  * Updated from global requirements
  * Advertise support for Python3.4 / Remove support for 3.3
  * Updated from global requirements
  * Imported Translations from Transifex
  * Remove run_cross_tests.sh
  * Updated from global requirements
  * Updated from global requirements
  * Add binary parameter to execute and ssh_execute
  * Port processutils to Python 3
  * Uncap library requirements for liberty
  * Move fixtures to test-requirements.txt
  * Fix test_as_root* tests to work when run as root
  * Add pypi download + version badges
  * Standardize setup.cfg summary for oslo libs
  * Imported Translations from Transifex
  * Updated from global requirements
  * Remove tools/run_cross_tests.sh from openstack-common.conf
* Mon Mar 30 2015 tbechtold@suse.com
- update to 1.8.0:
  * Switch to non-namespaced module imports
  * Remove py33 env from default tox list
  * Add lockutils.get_lock_path() function
* Tue Mar 10 2015 tbechtold@suse.com
- update to 1.7.0:
  * Imported Translations from Transifex
  * Updated from global requirements
- adjust Requires according to requirements.txt
* Tue Feb 24 2015 tbechtold@suse.com
- update to 1.6.0:
  * Updated from global requirements
  * processutils: execute(): fix option incompatibility
  * Ability to set working directory
  * Add eventlet test check to new tests __init__.py
  * Drop use of namespaced oslo.i18n
  * Updated from global requirements
  * Updated from global requirements
  * Update Oslo imports to remove namespace package
* Thu Jan 15 2015 tbechtold@suse.com
- update to 1.4.1:
  * Revert "Port processutils to Python 3"
* Wed Jan 14 2015 tbechtold@suse.com
- update to version 0.4.0:
  * Bump to hacking 0.10
  * Updated from global requirements
  * add watchdog module
  * Updated from global requirements
  * make time format for processutils match lockutils
  * Correct the translation domain for loading messages
  * Add a reader/writer lock
  * Don't use ConfigFilter for lockutils
  * Report import warnings where the import occurs
  * Port processutils to Python 3
  * Activate pep8 check that _ is imported
  * Drop requirements-py3.txt
  * Updated from global requirements
  * Clean up API documentation
  * Workflow documentation is now in infra-manual
  * Remove noqa from test files
  * test compatibility for old imports
  * Fix bug link in README.rst
- Adjust BuildRequires according to test-requirements.txt
* Wed Jan 14 2015 tbechtold@suse.com
- Add python_requires to _service
- Adjust Requires according to requirements.txt
* Tue Dec  9 2014 dmueller@suse.com
- update to 0.3.0:
  * Add external lock fixture
  * Add a TODO for retrying pull request #20
  * Allow the lock delay to be provided
  * Allow for providing a customized semaphore container
  * Move locale files to proper place
  * Flesh out the README
  * Move out of the oslo namespace package
  * Improve testing in py3 environment
  * Only modify autoindex.rst if it exists
  * Imported Translations from Transifex
  * lockutils-wrapper cleanup
  * Don't use variables that aren't initialized
* Sat Nov  1 2014 dmueller@suse.com
- Initial package
